reset
ffile='pandana.out'
dfile='covid19-de.txt'
set term x11 size 1440,720
lws=2.0
set style line  1 lt 1 lw 1.00*lws lc rgb '#ff0000'
set style line  2 lt 1 lw 1.00*lws lc rgb '#00a000'
set style line  3 lt 1 lw 1.00*lws lc rgb '#000000'
set style line  4 lt 1 lw 1.00*lws lc rgb '#0000ff'
set style line  5 lt 1 lw 1.00*lws lc rgb '#ff00ff'
set style line  6 lt 1 lw 1.00*lws lc rgb '#00ffff'
set style line 10 lt 1 lw 1.00*lws lc rgb '#a0a000'
load 'pandana-aux.gp'
#npop=1.e5
#npop=82.e6
tcoff=-1.
tfit0=0.
tfit1=20.
tplot0=2*tfit0-tfit1
tplot1=2*tfit1-tfit0
if (tplot0<0) tplot0=0
if (!exists("flglog")) flglog=0
FIT_LIMIT=1.e-6
FIT_MAXITER=1000
a=1.; b=1.
f(x)=a*exp(b*x)
f(x)=a+b*x
g(x) = x >= tplot0 && x <= tplot1 ? f(x) : NaN
fit [tfit0:tfit1] exp(f(x)) ffile u 1:2 via a,b
print sprintf("\nInitial daily increase= %6.2f pct.\nInitial doubling time = %8.4f\n",100.*(exp(b)-1.), log(2.)/b)
if (flglog>=1) set logscale y
set xrange [0:]
set yrange [1:]
set key left
#set key at graph 0.95, 0.9
plot ffile u 1:(npop*$2) t 'infected' w l ls 4,\
     ffile u 1:(npop*$3) t 'confirmed' w l ls 1,\
     ffile u 1:(npop*$4) t 'cured' w l ls 2,\
     ffile u 1:(npop*$5) t 'dead' w l ls 3,\
     ffile u 1:(npop*$6) t 'cumulative' w l ls 6,\
     ffile u 1:(npop*$7) t 'cum conf' w l ls 5,\
     npop*exp(g(x)) t 'initial rise' w l ls 10,\
     dfile u ($1+tcoff):2 t 'COVID19 in Germany' w p pt 7 ps 1 lc rgb '#000000'
